package de.dass_it.vanhelsing.gui.items;
public class SDDeviceItem extends ItemType implements UserObjectItem{
	private String name;
	private String archiveDevice;
	private String deviceType;
	private String mediaType;
	private String autochanger;
	private String changerDevice;
	private String changerCommand;
	private String alertCommand;
	private String driveIndex;
	private String autoselect;
	private String maximumConcurentJobs;
	private String maximumChangerWait;
	private String maximumRewindWait;
	private String maximumOpenWait;
	private String alwaysOpen;
	private String volumePollInterval;
	private String closeonPoll;
	//private String maximumOpenWait;
	private String removablemedia;
	private String randomaccess;
	private String requiresMount;
	private String mountPoint;
	private String mountCommand;
	private String unmountCommand;
	private String blockChecksum;
	private String minimumblocksize;
	private String maximumblocksize;
	private String hardwareEndofMedium;
	private String fastForwardSpaceFile;
	private String useMTIOCGET;
	private String bsfAtEOM;
	private String twoEOF;
	private String backwardSpaceRecord;
	private String backwardSpaceFile;
	private String forwardSpaceRecord;
	private String forwardSpaceFile;
	private String offlineOnUnmount;
	private String maximumConcurrentJobs;
	private String maximumVolumeSize;
	private String maximumFileSize;
	private String blockPositioning;
	private String maximumNetworkBufferSize;
	private String maximumSpoolSize;
	private String maximumJobSpoolSize;
	private String spoolDirectory;
	private String maximumPartSize;
	
	public SDDeviceItem(){}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getArchiveDevice() {
		return archiveDevice;
	}

	public void setArchiveDevice(String archiveDevice) {
		this.archiveDevice = archiveDevice;
	}

	public String getDeviceType() {
		return deviceType;
	}

	public void setDeviceType(String deviceType) {
		this.deviceType = deviceType;
	}

	public String getMediaType() {
		return mediaType;
	}

	public void setMediaType(String mediaType) {
		this.mediaType = mediaType;
	}

	public String getAutochanger() {
		return autochanger;
	}

	public void setAutochanger(String autochanger) {
		this.autochanger = autochanger;
	}

	public String getChangerDevice() {
		return changerDevice;
	}

	public void setChangerDevice(String changerDevice) {
		this.changerDevice = changerDevice;
	}

	public String getChangerCommand() {
		return changerCommand;
	}

	public void setChangerCommand(String changerCommand) {
		this.changerCommand = changerCommand;
	}

	public String getAlertCommand() {
		return alertCommand;
	}

	public void setAlertCommand(String alertCommand) {
		this.alertCommand = alertCommand;
	}

	public String getDriveIndex() {
		return driveIndex;
	}

	public void setDriveIndex(String driveIndex) {
		this.driveIndex = driveIndex;
	}

	public String getAutoselect() {
		return autoselect;
	}

	public void setAutoselect(String autoselect) {
		this.autoselect = autoselect;
	}

	public String getMaximumConcurentJobs() {
		return maximumConcurentJobs;
	}

	public void setMaximumConcurentJobs(String maximumConcurentJobs) {
		this.maximumConcurentJobs = maximumConcurentJobs;
	}

	public String getMaximumChangerWait() {
		return maximumChangerWait;
	}

	public void setMaximumChangerWait(String maximumChangerWait) {
		this.maximumChangerWait = maximumChangerWait;
	}

	public String getMaximumRewindWait() {
		return maximumRewindWait;
	}

	public void setMaximumRewindWait(String maximumRewindWait) {
		this.maximumRewindWait = maximumRewindWait;
	}

	public String getMaximumOpenWait() {
		return maximumOpenWait;
	}

	public void setMaximumOpenWait(String maximumOpenWait) {
		this.maximumOpenWait = maximumOpenWait;
	}

	public String getAlwaysOpen() {
		return alwaysOpen;
	}

	public void setAlwaysOpen(String alwaysOpen) {
		this.alwaysOpen = alwaysOpen;
	}

	public String getVolumePollInterval() {
		return volumePollInterval;
	}

	public void setVolumePollInterval(String volumePollInterval) {
		this.volumePollInterval = volumePollInterval;
	}

	public String getCloseonPoll() {
		return closeonPoll;
	}

	public void setCloseonPoll(String closeonPoll) {
		this.closeonPoll = closeonPoll;
	}

	public String getRemovablemedia() {
		return removablemedia;
	}

	public void setRemovablemedia(String removablemedia) {
		this.removablemedia = removablemedia;
	}

	public String getRandomaccess() {
		return randomaccess;
	}

	public void setRandomaccess(String randomaccess) {
		this.randomaccess = randomaccess;
	}

	public String getRequiresMount() {
		return requiresMount;
	}

	public void setRequiresMount(String requiresMount) {
		this.requiresMount = requiresMount;
	}

	public String getMountPoint() {
		return mountPoint;
	}

	public void setMountPoint(String mountPoint) {
		this.mountPoint = mountPoint;
	}

	public String getMountCommand() {
		return mountCommand;
	}

	public void setMountCommand(String mountCommand) {
		this.mountCommand = mountCommand;
	}

	public String getUnmountCommand() {
		return unmountCommand;
	}

	public void setUnmountCommand(String unmountCommand) {
		this.unmountCommand = unmountCommand;
	}

	public String getBlockChecksum() {
		return blockChecksum;
	}

	public void setBlockChecksum(String blockChecksum) {
		this.blockChecksum = blockChecksum;
	}

	public String getMinimumblocksize() {
		return minimumblocksize;
	}

	public void setMinimumblocksize(String minimumblocksize) {
		this.minimumblocksize = minimumblocksize;
	}

	public String getMaximumblocksize() {
		return maximumblocksize;
	}

	public void setMaximumblocksize(String maximumblocksize) {
		this.maximumblocksize = maximumblocksize;
	}

	public String getHardwareEndofMedium() {
		return hardwareEndofMedium;
	}

	public void setHardwareEndofMedium(String hardwareEndofMedium) {
		this.hardwareEndofMedium = hardwareEndofMedium;
	}

	public String getFastForwardSpaceFile() {
		return fastForwardSpaceFile;
	}

	public void setFastForwardSpaceFile(String fastForwardSpaceFile) {
		this.fastForwardSpaceFile = fastForwardSpaceFile;
	}

	public String getUseMTIOCGET() {
		return useMTIOCGET;
	}

	public void setUseMTIOCGET(String useMTIOCGET) {
		this.useMTIOCGET = useMTIOCGET;
	}

	public String getBsfAtEOM() {
		return bsfAtEOM;
	}

	public void setBsfAtEOM(String bsfAtEOM) {
		this.bsfAtEOM = bsfAtEOM;
	}

	public String getTwoEOF() {
		return twoEOF;
	}

	public void setTwoEOF(String twoEOF) {
		this.twoEOF = twoEOF;
	}

	public String getBackwardSpaceRecord() {
		return backwardSpaceRecord;
	}

	public void setBackwardSpaceRecord(String backwardSpaceRecord) {
		this.backwardSpaceRecord = backwardSpaceRecord;
	}

	public String getBackwardSpaceFile() {
		return backwardSpaceFile;
	}

	public void setBackwardSpaceFile(String backwardSpaceFile) {
		this.backwardSpaceFile = backwardSpaceFile;
	}

	public String getForwardSpaceRecord() {
		return forwardSpaceRecord;
	}

	public void setForwardSpaceRecord(String forwardSpaceRecord) {
		this.forwardSpaceRecord = forwardSpaceRecord;
	}

	public String getForwardSpaceFile() {
		return forwardSpaceFile;
	}

	public void setForwardSpaceFile(String forwardSpaceFile) {
		this.forwardSpaceFile = forwardSpaceFile;
	}

	public String getOfflineOnUnmount() {
		return offlineOnUnmount;
	}

	public void setOfflineOnUnmount(String offlineOnUnmount) {
		this.offlineOnUnmount = offlineOnUnmount;
	}

	public String getMaximumConcurrentJobs() {
		return maximumConcurrentJobs;
	}

	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
		this.maximumConcurrentJobs = maximumConcurrentJobs;
	}

	public String getMaximumVolumeSize() {
		return maximumVolumeSize;
	}

	public void setMaximumVolumeSize(String maximumVolumeSize) {
		this.maximumVolumeSize = maximumVolumeSize;
	}

	public String getMaximumFileSize() {
		return maximumFileSize;
	}

	public void setMaximumFileSize(String maximumFileSize) {
		this.maximumFileSize = maximumFileSize;
	}

	public String getBlockPositioning() {
		return blockPositioning;
	}

	public void setBlockPositioning(String blockPositioning) {
		this.blockPositioning = blockPositioning;
	}

	public String getMaximumNetworkBufferSize() {
		return maximumNetworkBufferSize;
	}

	public void setMaximumNetworkBufferSize(String maximumNetworkBufferSize) {
		this.maximumNetworkBufferSize = maximumNetworkBufferSize;
	}

	public String getMaximumSpoolSize() {
		return maximumSpoolSize;
	}

	public void setMaximumSpoolSize(String maximumSpoolSize) {
		this.maximumSpoolSize = maximumSpoolSize;
	}

	public String getMaximumJobSpoolSize() {
		return maximumJobSpoolSize;
	}

	public void setMaximumJobSpoolSize(String maximumJobSpoolSize) {
		this.maximumJobSpoolSize = maximumJobSpoolSize;
	}

	public String getSpoolDirectory() {
		return spoolDirectory;
	}

	public void setSpoolDirectory(String spoolDirectory) {
		this.spoolDirectory = spoolDirectory;
	}

	public String getMaximumPartSize() {
		return maximumPartSize;
	}

	public void setMaximumPartSize(String maximumPartSize) {
		this.maximumPartSize = maximumPartSize;
	}
	
	
}
